#!/bin/sh

erreur ()
{
    echo "Arguments incorrect."
    echo "Usage :"
    echo "$0 [-d repertoire]"
    exit 1
}

echo
echo "######################################"
echo "# Installation du serveur de News... #"
echo "######################################"
echo

if [ $# -ge 3 ]
then
    erreur
fi

if [ $# -eq 2 ]
then
    repertoire=$2
else

echo "Installer le serveur dans le rpertoire /usr/local/serveur (o/n [o]) ?"
read reponse

case $reponse in
	[yYoO]*) 
		repertoire="/usr/local/serveur"
		;;
	[nN]*)
		repertoire="null"
		;;
	"")
		repertoire="/usr/local/serveur"
		;; 
	*)
		echo "Erreur... Exit"
		exit 2
		;;

esac

if [ $repertoire = "null" ]
then
	echo "Dans quel rpertoire souhaitez-vous installer le serveur ?"
	read repertoire
fi
fi
	      mkdir $repertoire
	      chmod 755 $repertoire
              mkdir $repertoire/bin
              chmod 755 $repertoire/bin

             if ( gmake --version ) < /dev/null > /dev/null 2>&1
             then
             echo gmake trouve
             ./configure --prefix=$repertoire
             gmake
             gmake check
             gmake install
             chmod 4755 $repertoire/bin/posteur
             else
             cp Makefile.make Makefile
             rm -f make.erreur
              make BIN=$repertoire/bin/ clean
              make BIN=$repertoire/bin/ CHEMIN_SERVEUR=\'\"$repertoire/\"\' \
	        2> make.erreur

taille=`ls -s make.erreur | sed -e 's/make.erreur//'`

if [ $taille -ge 1 ]
then
    clear
    echo
    echo "Une erreur s'est produite lors de la compilation :"
    echo "##################################################"
    echo 
    cat make.erreur
    echo 
    echo -n "Les erreurs de compilation se trouvent dans le fichier "
    echo "\"make.erreur\"."
    echo
else
    rm -f make.erreur # Ce fichier est vide, on en n'a pas besoin
    echo
    echo "Le serveur a t install dans le rpertoire :"
    echo "##############################################"
    echo
    echo $repertoire/bin/
    echo
    echo "-> $repertoire/bin/serveur"
    echo "-> $repertoire/bin/posteur"
    echo "-> $repertoire/bin/lecteur"
    echo
    mkdir $repertoire/Articles
    chmod 755 $repertoire/Articles
    echo "Les articles seront stocks dans le rpertoire :"
    echo "################################################"
    echo
    echo $repertoire/Articles
    echo
    echo "(C) M. TANGUY (mtanguy@ens.uvsq.fr), M. DECORE (mdecor@ens.uvsq.fr)"
    echo
fi
fi
exit 0
