/*
Copyright (C) 2000 Mathieu Decore <mdecor@ens.uvsq.fr>
                   Marc Tanguy <mtanguy@ens.uvsq.fr>

Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou le 
modifier conformment aux dispositions de la Licence Publique Gnrale GNU,
telle que publie par la Free Software Foundation ; version 2 de la licence, ou
 encore ( votre choix) toute version ultrieure.

Ce programme est distribu dans l'espoir qu'il sera utile, mais SANS AUCUNE 
GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION ou D'ADAPTATION
A UN OBJET PARTICULIER. 
Pour plus de dtail, voir la Licence Publique Gnrale GNU .

Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU en mme
 temps que ce programme ; 
si ce n'est pas le cas, crivez  la Free Software Foundation Inc., 
675 Mass Ave, Cambridge, MA 02139, Etats-Unis.
*/

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include <string.h>
#include <stdarg.h>
#include <errno.h>
#include <limits.h>
#include <ctype.h>

#include <sys/types.h>
#include <sys/wait.h>

#define uchar_t   	 unsigned char
#define NbArticles_t unsigned long int

#define TAILLE_BUF 81
#define TAILLE_NOM_ARTICLE 11

/* utilisation de la norme POSIX */
#define TAILLE_NOM_FICHIER_MAX _POSIX_NAME_MAX
#define TAILLE_CHEMIN_MAX _POSIX_PATH_MAX
#define TAILLE_CHEMIN_SERVEUR_MAX (_POSIX_PATH_MAX - 9)
#define TAILLE_CHEMIN_NOM_MAX (_POSIX_PATH_MAX + _POSIX_NAME_MAX)

/* pour la gestion des erreurs */
#define lecteur_error(function, fmt, args...) \
{ \
  fprintf(stderr, "(%s, %d) : ", __FILE__, __LINE__); \
  fprintf (stderr, fmt, ##args); \
  if (function) perror (function); \
  if (errno) exit (errno); \
  else exit (1); \
}

/*
 * Variables globales d'environnments
 */

/* pour le $PAGER */
char     *pager;
char     *pager_defaut = "more\0";

/* pour le $HOME */
char     *home;

/* pour le chemin du fichier .forumSRV du serveur */
char     *CheminForumServeur;

/* pour le chemin des articles du serveur */
char      CheminArticles[TAILLE_CHEMIN_MAX];

/* pour le chemin + nom du fichier .forum du lecteur */
char      NomFichierForumClient[TAILLE_CHEMIN_NOM_MAX];

/* pour diffrencier en boolen les articles lus/non lus */
char     *TableauForum;

/*
 * Les numeros d'articles etant stockes sur des 'unsigned 
 * long int' cela nous autorise de 0 a 4 294 967 295 articles ( en 32 bits )
 */
NbArticles_t NumeroPremierArticle, NumeroDernierArticle, NombreArticles;
