/*
 * Taille du buffeur utilise
 */

#define TAILLE_BUF 512

/*
 * Limitation de la taille du login
 * d'un utilisateur
 */

#ifndef UT_NAMESIZE
#define TAILLE_LOGIN 64
#else
#define TAILLE_LOGIN UT_NAMESIZE
#endif

/*
 * Si le nombre de bits maximum pour un nom de fichier n'est pas definit,
 * on utilise la limite POSIX definie par _POSIX_NAME_MAX
 */

#ifndef TAILLE_NOM
#ifdef  NAME_MAX
#define TAILLE_NOM NAME_MAX
#else
#define TAILLE_NOM _POSIX_NAME_MAX
#endif
#endif

/*
 * Si le nombre de bits maximum pour un nom de chemin n'est pas definit,
 * on utilise la limite POSIX definie par _POSIX_PATH_MAX
 */

#ifndef TAILLE_CHEMIN
#ifdef PATH_MAX
#define TAILLE_CHEMIN PATH_MAX
#else
#define TAILLE_CHEMIN _POSIX_PATH_MAX
#endif
#endif

/* 					
 * Limitation de la taille
 * d'un article a 1 Mo
 */

#ifndef TAILLE_MAX_FICHIER_ARTICLE
#define TAILLE_MAX_FICHIER_ARTICLE 1024 * 1024
#endif
