/*
 * Si le nombre de bits maximum pour un nom de fichier n'est pas definit,
 * on utilise la limite POSIX definie par _POSIX_NAME_MAX
 */

#define TAILLE_BUF 512

#ifndef TAILLE_NOM
#ifdef  NAME_MAX
#define TAILLE_NOM NAME_MAX
#else
#define TAILLE_NOM _POSIX_NAME_MAX
#endif
#endif

/*
 * Si le nombre de bits maximum pour un nom de chemin n'est pas definit,
 * on utilise la limite POSIX definie par _POSIX_PATH_MAX
 */

#ifndef TAILLE_CHEMIN
#ifdef PATH_MAX
#define TAILLE_CHEMIN PATH_MAX
#else
#define TAILLE_CHEMIN _POSIX_PATH_MAX
#endif
#endif

/*
 * Le nom local de l'article (un entier positif inferieur a la taille d'un
 * entier long positif) tiens sur moins de 30 bits (nombre maximun d'articles :
 * ~ 1e29)
 */

#define TAILLE_NOM_LOCAL_ARTICLE 30

#define TAILLE_BUF 512

/*
 * Heure a laquelle on efface les articles trop vieux
 */

#define H_MAJ 1

/*
 * Minute a laquelle on efface les articles trop vieux
 */

#define MN_MAJ 0

/*
 * Nombre de jours au dela desquelles un article est a effacer
 */

#ifndef VIEUX
#define VIEUX 7
#endif

typedef unsigned long int NbArticles_t;
